> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to list playbook executions with optional filtering parameters.

# List playbook executions with filtering



## OpenAPI

````yaml get /workspace/{ws_id}/executions
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/executions:
    get:
      tags:
        - Executions
      summary: List playbook executions with filtering
      description: List playbook executions with RQL filtering.
      operationId: PlaybookExecutionFindByFilter
      parameters:
        - name: ws_id
          in: path
          description: The ID of the workspace containing the executions
          required: true
          schema:
            type: string
        - name: q
          in: query
          description: >-
            The RQL query object to filter executions by. For more information,
            see our [RQL documentation](https://docs.blinkops.com/docs/api/rql)
          schema:
            type: string
      responses:
        '200':
          description: Paginated executions response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.PagingInfo'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/models.PlaybookExecution'
        '400':
          description: Invalid query parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Search failed or no matching data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.PagingInfo:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
    models.PlaybookExecution:
      type: object
      properties:
        app_id:
          type: string
        async_parent_execution_id:
          type: string
        cancel_reason:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        ctrl_id:
          type: string
        draft_execution_number:
          type: integer
        engine_v2_compile_error:
          type: string
        engine_version:
          type: string
          description: The preferred workflow engine version
        error_details:
          type: object
          additionalProperties:
            type: string
        execution_depth:
          type: integer
        execution_number:
          type: integer
          description: UNIQUE INDEX idx_playbook_executions_pbid_en
        finished_at:
          type: integer
        id:
          type: string
        last_playbook_name:
          type: string
          description: >-
            LastPlaybookName Holds last playbook name after playbook deletion to
            be used in display names for past executions
        name:
          type: string
        net_runtime_ms:
          type: integer
        parent_execution_id:
          type: string
        playbook:
          type: string
        playbook_id:
          type: string
          description: UNIQUE INDEX idx_playbook_executions_pbid_en
        runner_cluster_version:
          type: string
        runner_group_id:
          type: string
        runner_id:
          type: string
          description: use text column type to allow empty strings
        runner_version:
          type: string
        started_at:
          type: integer
        state:
          type: string
        state_ui:
          type: string
        step_results:
          $ref: '#/components/schemas/models.StepResults'
        tenant_id:
          type: string
        test_session_id:
          type: string
        timeout:
          type: integer
          description: timeout in milliseconds
        top_execution_id:
          type: string
        top_execution_started_at:
          type: integer
        trigger_type:
          type: string
          description: The type of the trigger of the workflow
        type:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        version:
          type: string
        with_concurrency_limit:
          type: boolean
        workspace_id:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    models.StepResults:
      type: object
      additionalProperties:
        type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````